SphinxClient::escapeString
SphinxClient::getLastWarning
SphinxClient
PHP Manual

# SphinxClient::getLastError

(No version information available, might be only in CVS)

SphinxClient::getLastError — Get the last error message

### Description

public string SphinxClient::getLastError ( void )

Returns string with the last error message. If there were no errors during the previous API call, empty string is returned. This method doesn't reset the error message, so you can safely call it several times.

### Parameters

This function has no parameters.

### See Also

- SphinxClient::getLastWarning

SphinxClient::escapeString
SphinxClient::getLastWarning
SphinxClient
PHP Manual